Installing unstable dynare

Dear all,

I am currently trying to install the unstable version of Dynare for Matlab;
My operating system is OS X 10.10.3.
Following the instructions here:
dynare.org/DynareWiki/InstallOnMacOSX
I have installed Command Line Tools for Xcode, the latest version of MacTeX and Homebrew.

After that, I have typed in my console, commands like:

(trying also with some other variants)

To that command, I receive in response the following error message:

However, whenever typing ‘brew link ghostscript’ I receive this other error message:

[quote]Error: Could not symlink share/ghostscript/9.18
/usr/local/share/ghostscript is not writable.[/quote]

Does anyone know where the problem is coming from and what I should to fix it?

Ps I have got Dynare 4.3.3 installed in my computer…I am wondering what will happen to it after installing the unstable version: will the two of them be available of will the unstable one update (and so replace) the previous version?

Hi,

Please post the output of the following:

Installing a new version of Dynare will not affect any other installation of Dynare.

Dear Houtan,
Thank you very much for your message. Please find below the output returned by my console once typing the command you suggested:

[quote]total 0
drwxr-xr-x 4 root wheel 136 3 Mar 17:25 .
drwxrwxr-x 30 mricci admin 1020 3 Mar 17:45 …
drwxrwxr-x 6 root wheel 204 14 Mar 2015 9.10
drwxr-xr-x 7 root wheel 238 4 May 2015 9.16
GraphicsMagick automake-1.15 ghostscript libtool pstoedit
ImageMagick-6 doc gnuplot lua tek2plot
aclocal emacs hdf5_examples man veclibfort
aclocal-1.15 fontconfig icons octave xml
appdata gcc-5.3.0 info ode
autoconf gdb libplot pic2plot
Please note that these warnings are just used to help the Homebrew maintainers
with debugging if you file an issue. If everything you use Homebrew for is
working fine: please don’t worry and just ignore them. Thanks!

Warning: You have unlinked kegs in your Cellar
Leaving kegs unlinked can lead to build-trouble and cause brews that depend on
those kegs to fail to run properly once built. Run brew link on these:
ghostscript
[/quote]

You have the wrong permissions in your /usr/local/share/ folder. To fix this, type: sudo chown -R "$USER":admin /usr/local/share

Dear Houtan,

Thank you very much for your time and help.

Following your instructions, the installation can now be successfully launched.
However, unfortunately, it still happens to stop prematurely returning the error message at the end of the screenshot I report below:

[quote]Mattias-MacBook-Pro:~ mricci$ brew install dynare --HEAD --with-matlab=/Applications/MATLAB_R2014a.app --with-matlab-version=8.3 --without-check
==> Installing dynare from homebrew/science
==> Using Homebrew-provided fortran compiler.
This may be changed by setting the FC environment variable.
==> Cloning github.com/DynareTeam/dynare.git
Updating /Library/Caches/Homebrew/dynare–git
==> Checking out branch master
==> autoreconf -si
==> ./configure --disable-silent-rules --prefix=/usr/local/Cellar/dynare/HEAD --with-matlab=/Applications/MATLAB_R2014a.app MATLAB_VERSION=8.3
==> make install
Last 15 lines from /Users/mricci/Library/Logs/Homebrew/dynare/03.make:
*yyout << endl;
^~~~~~
MacroFlex.ll:386:37: error: indirection requires pointer operand (‘std::ostream’ (aka ‘basic_ostream’) invalid)
{ yylloc->lines(1); yylloc->step(); *yyout << endl; }
^~~~~~
MacroFlex.ll:405:5: error: indirection requires pointer operand (‘const std::ostream’ (aka ‘const basic_ostream’) invalid)
*yyout << endl << "@#line “” << *yylloc->begin.filename << “” "
^~~~~~
3 errors generated.
make[4]: *** [libmacro_a-MacroFlex.o] Error 1
make[4]: *** Waiting for unfinished jobs…
make[3]: *** [install] Error 2
make[2]: *** [install-recursive] Error 1
make[1]: *** [install] Error 2
make: *** [install-recursive] Error 1

READ THIS: git.io/brew-troubleshooting
If reporting this issue please do so at (not Homebrew/homebrew):
github.com/Homebrew/homebrew-science/issues
[/quote]

Note that I have read the brew troubleshooting, therefore my brew has been updated and the command ‘brew doctor’ simply returns me a message saying that
’the system is ready to brew’.
Do you have any idea of where this problem is coming from and how to fix it?

Thank you very much for your time once again,

Mattia

The problem is that dynare needs to be updated to use the newer version of flex that comes with homebrew. This won’t happen for a while. I have updated the homebrew-science dynare formula to use an older version of flex. You can either wait for the people at homebrew science to merge this pull request github.com/Homebrew/homebrew-science/pull/3414 or you can simply replace /usr/local/Library/Taps/homebrew/homebrew-science/dynare.rb with the code found here raw.githubusercontent.com/houtanb/homebrew-science/9711afbbf24a4a7a9400a73892637f34bd0b7c2f/dynare.rb. Once you have replaced this file, simply execute brew install dynare <<options>> as before

Hi Houtan,

Like mdicci, I faced an error while installing unstable version of Dynare but using Octave;

I followed the instructions here: github.com/DynareTeam/dynare#mac-os-x

I have installed Command Line Tools for Xcode, as well as the latest version of MacTeX and Octave using Homebrew. (I have checked my Homebrew using brew update and brew doctor.) My operating system is OS X 10.11.6.

An error popped up after I run this command on Terminal to install dynare :cry: :

[quote]Making install in mex/build/octave
Making install in mjdgges
clang -DPACKAGE_NAME=“dynare” -DPACKAGE_TARNAME=“dynare” -DPACKAGE_VERSION=“4.5-unstable” -DPACKAGE_STRING=“dynare\ 4.5-unstable” -DPACKAGE_BUGREPORT="" -DPACKAGE_URL="" -DPACKAGE=“dynare” -DVERSION=“4.5-unstable” -DHAVE_PTHREAD_PRIO_INHERIT=1 -DHAVE_PTHREAD=1 -DHAVE_BOOST=/**/ -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBM=1 -DHAVE_LIBZ=1 -DHAVE_LIBHDF5=1 -DOCTAVE_MEX_FILE -DMEXEXT=".mex" -I. -I/usr/local/Cellar/octave/4.0.3/include/octave-4.0.3/octave/… -I/usr/local/Cellar/octave/4.0.3/include/octave-4.0.3/octave -I/usr/local/Cellar/octave/4.0.3/include -I…/…/…/sources -fPIC -D_REENTRANT -L/usr/local/opt/suite-sparse/lib -lsuitesparseconfig -L/usr/local/opt/metis/lib -lmetis -Wall -Wno-parentheses -c -o mjdgges.o test -f '../../../sources/mjdgges/mjdgges.c' || echo './'…/…/…/sources/mjdgges/mjdgges.c
…/./install-sh -c -d …/…/…/octave
cd …/…/…/octave &&
for p in mjdgges.mex; do
ln -s -f /private/tmp/dynare-20160813-81437-1j75bd1/mex/build/octave/mjdgges/$p $p;
done
clang -fPIC -D_REENTRANT -L/usr/local/opt/suite-sparse/lib -lsuitesparseconfig -L/usr/local/opt/metis/lib -lmetis -Wall -Wno-parentheses -bundle -bundle_loader /usr/local/Cellar/octave/4.0.3/bin/octave-4.0.3 -L/usr/local/Cellar/octave/4.0.3/lib/octave/4.0.3 -L/usr/local/Cellar/octave/4.0.3/lib -L/usr/local/opt/readline/lib -lreadline -o mjdgges.mex mjdgges.o -loctinterp -loctave -L/usr/local/opt/veclibfort/lib -lveclibFort -lfftw3_threads -lfftw3 -lfftw3f_threads -lfftw3f -lm -L/usr/local/opt/readline/lib -L/usr/local/Cellar/gcc/6.1.0/lib/gcc/6/gcc/x86_64-apple-darwin15.5.0/6.1.0 -L/usr/local/Cellar/gcc/6.1.0/lib/gcc/6/gcc/x86_64-apple-darwin15.5.0/6.1.0/…/…/… -lreadline -lgfortran -lquadmath -lm
ld: library not found for -lgfortran
clang: error: linker command failed with exit code 1 (use -v to see invocation)
make[2]: *** [mjdgges.mex] Error 1
make[1]: *** [install-recursive] Error 1
make: *** [install-recursive] Error 1[/quote]

Hope you can advise on this. Much appreciated!

What is the output when you type the following into Terminal